package intrinsic.mx.rpc.soap;

public class AbstractWebService extends intrinsic.mx.rpc.AbstractService {

	/** Accessors */
	public intrinsic.Array headers;
	public String port;
	public boolean useProxy;
	public String description;
	public String destination;
	public String rootURL;
	public String endpointURI;
	public String service;
	public boolean ready;
	public boolean makeObjectsBindable;

	/** Variables */

	/** Constants */
	public static final String DEFAULT_DESTINATION_HTTP = "default_destination_http";
	public static final String DEFAULT_DESTINATION_HTTPS = "default_destination_https";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractWebService() {
}

public AbstractWebService(Object arg0) {
}

public AbstractWebService(Object arg0, Object arg1) {
}


/** Static Methods */
public static native String findJSessionID();

/** Methods */
public native void removeHeader(intrinsic.QName arg0);
public native void removeHeader(intrinsic.QName arg0, String arg1);
public native void addHeader(intrinsic.mx.rpc.soap.SOAPHeader arg0);
public native void addSimpleHeader(String arg0, String arg1, String arg2, String arg3);
public native void setRemoteCredentials(String arg0, String arg1);
public native void clearHeaders();
public native intrinsic.mx.rpc.soap.SOAPHeader getHeader(intrinsic.QName arg0);
public native intrinsic.mx.rpc.soap.SOAPHeader getHeader(intrinsic.QName arg0, String arg1);

}
